package com.tjk.entity;

/**
 * ProductSubscribe entity. @author MyEclipse Persistence Tools
 */

public class ProductSubscribe implements java.io.Serializable {
	private static final long serialVersionUID = 2543768764575333674L;
	// Fields

	private Integer id;
	private Integer currencyType;
	private Integer leastAmount;
	private Integer leastAddto;
	private Float purchaseRate;
	private String purchaseFeeDescription;//申购费率说明
	private Float managementFeeRate;
	private String managementFeeDescription;//管理费率说明
	private Float performancePayRate;
	private String performancePayDescription;//浮动管理费率说明
	private Float redemptionRate;
	private String redemptionFeeDescription;//赎回费率说明
	private String otherFeeRate;
	private Integer isSetThreshold;
	private Integer isSetGuaranteed;
	private String purchaseDescription;
	private String redemptionDescription;
	private Integer closedPeriod;
	private Integer investorScope;
	private Integer productId;
	private String remuneration;//业绩报酬，一段说明文字
	private String accountName;//打款账户名称
	private String accountNumber;//打款账号
	private String accountOpenBank;//打款开户行

	// Constructors

	/** default constructor */
	public ProductSubscribe() {
	}

	/** full constructor */
	public ProductSubscribe(Integer currencyType, Integer leastAmount,
			Integer leastAddto, Float purchaseRate, Float managementFeeRate,
			Float performancePayRate, Float redemptionRate,
			String otherFeeRate, Integer isSetThreshold,
			Integer isSetGuaranteed, String purchaseDescription,
			String redemptionDescription, Integer closedPeriod,
			Integer investorScope, Integer productId) {
		this.currencyType = currencyType;
		this.leastAmount = leastAmount;
		this.leastAddto = leastAddto;
		this.purchaseRate = purchaseRate;
		this.managementFeeRate = managementFeeRate;
		this.performancePayRate = performancePayRate;
		this.redemptionRate = redemptionRate;
		this.otherFeeRate = otherFeeRate;
		this.isSetThreshold = isSetThreshold;
		this.isSetGuaranteed = isSetGuaranteed;
		this.purchaseDescription = purchaseDescription;
		this.redemptionDescription = redemptionDescription;
		this.closedPeriod = closedPeriod;
		this.investorScope = investorScope;
		this.productId = productId;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCurrencyType() {
		return this.currencyType;
	}

	public void setCurrencyType(Integer currencyType) {
		this.currencyType = currencyType;
	}

	public Integer getLeastAmount() {
		return this.leastAmount;
	}

	public void setLeastAmount(Integer leastAmount) {
		this.leastAmount = leastAmount;
	}

	public Integer getLeastAddto() {
		return this.leastAddto;
	}

	public void setLeastAddto(Integer leastAddto) {
		this.leastAddto = leastAddto;
	}

	public Float getPurchaseRate() {
		return this.purchaseRate;
	}

	public void setPurchaseRate(Float purchaseRate) {
		this.purchaseRate = purchaseRate;
	}

	public Float getManagementFeeRate() {
		return this.managementFeeRate;
	}

	public void setManagementFeeRate(Float managementFeeRate) {
		this.managementFeeRate = managementFeeRate;
	}

	public Float getPerformancePayRate() {
		return this.performancePayRate;
	}

	public void setPerformancePayRate(Float performancePayRate) {
		this.performancePayRate = performancePayRate;
	}

	public Float getRedemptionRate() {
		return this.redemptionRate;
	}

	public void setRedemptionRate(Float redemptionRate) {
		this.redemptionRate = redemptionRate;
	}

	public String getOtherFeeRate() {
		return this.otherFeeRate;
	}

	public void setOtherFeeRate(String otherFeeRate) {
		this.otherFeeRate = otherFeeRate;
	}

	public Integer getIsSetThreshold() {
		return this.isSetThreshold;
	}

	public void setIsSetThreshold(Integer isSetThreshold) {
		this.isSetThreshold = isSetThreshold;
	}

	public Integer getIsSetGuaranteed() {
		return this.isSetGuaranteed;
	}

	public void setIsSetGuaranteed(Integer isSetGuaranteed) {
		this.isSetGuaranteed = isSetGuaranteed;
	}

	public String getPurchaseDescription() {
		return this.purchaseDescription;
	}

	public void setPurchaseDescription(String purchaseDescription) {
		this.purchaseDescription = purchaseDescription;
	}

	public String getRedemptionDescription() {
		return this.redemptionDescription;
	}

	public void setRedemptionDescription(String redemptionDescription) {
		this.redemptionDescription = redemptionDescription;
	}

	public Integer getClosedPeriod() {
		return this.closedPeriod;
	}

	public void setClosedPeriod(Integer closedPeriod) {
		this.closedPeriod = closedPeriod;
	}

	public Integer getInvestorScope() {
		return this.investorScope;
	}

	public void setInvestorScope(Integer investorScope) {
		this.investorScope = investorScope;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getRemuneration() {
		return remuneration;
	}

	public void setRemuneration(String remuneration) {
		this.remuneration = remuneration;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getAccountOpenBank() {
		return accountOpenBank;
	}

	public void setAccountOpenBank(String accountOpenBank) {
		this.accountOpenBank = accountOpenBank;
	}

	public String getPurchaseFeeDescription() {
		return purchaseFeeDescription;
	}

	public void setPurchaseFeeDescription(String purchaseFeeDescription) {
		this.purchaseFeeDescription = purchaseFeeDescription;
	}

	public String getManagementFeeDescription() {
		return managementFeeDescription;
	}

	public void setManagementFeeDescription(String managementFeeDescription) {
		this.managementFeeDescription = managementFeeDescription;
	}

	public String getPerformancePayDescription() {
		return performancePayDescription;
	}

	public void setPerformancePayDescription(String performancePayDescription) {
		this.performancePayDescription = performancePayDescription;
	}

	public String getRedemptionFeeDescription() {
		return redemptionFeeDescription;
	}

	public void setRedemptionFeeDescription(String redemptionFeeDescription) {
		this.redemptionFeeDescription = redemptionFeeDescription;
	}

}